petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerBinarySetFlowControl

Sets how many messages are allowed to outstanding at the same time during parallel IO reads/writes

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerBinarySetFlowControl(PetscViewer viewer,PetscInt fc)

Not Collective

### Input Parameter

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()
| fc | - the number of messages, defaults to 256 if this function was not called

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetInfoPointer(), PetscViewerBinaryGetFlowControl()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c

### Examples

src/vec/vec/examples/tutorials/ex10.c.html

### Implementations

PetscViewerBinarySetFlowControl_Binary in src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages